---
lang: en
title: 'API docs: rest.route'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.route.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [Route](./rest.route.md)

## Route class

**Signature:**

```typescript
export declare class Route extends BaseRoute 
```
**Extends:** [BaseRoute](./rest.baseroute.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(verb, path, spec, \_handler)](./rest.route._constructor_.md) |  | Constructs a new instance of the <code>Route</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [\_handler](./rest.route._handler.md) | <p><code>protected</code></p><p><code>readonly</code></p> | Function |  |
|  [spec](./rest.route.spec.md) | <code>readonly</code> | OperationObject |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [describe()](./rest.route.describe.md) |  |  |
|  [invokeHandler(requestContext, args)](./rest.route.invokehandler.md) |  |  |
|  [updateBindings(requestContext)](./rest.route.updatebindings.md) |  |  |


